> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Order Actions

> Create, update, upsert, or delete orders asynchronously in bulk.

<Note>
  The **upsert** (update or insert) action will update existing orders that match the provided `externalId`, and
  create new orders for those that don't.

  The **delete** action will archive the order, akin to the [Archive Order endpoint](/api-reference/order/archive-order).

  Status field returned is for the bulk operation, not the individual orders and can be one of the following:

  * `QUEUED`: The request has been received and is waiting to be processed in the bulk operation queue
  * `IN_PROGRESS`: The request is currently being worked on
  * `SUCCESS`: The request was successfully processed without any errors to the overall async process (individual orders might have failed)
  * `FAILED`: The request encountered an error and could not be completed
  * `CANCELLED`: The request processing was manually cancelled or terminated before completion
  * `SKIPPED`: The request was intentionally not processed due to validation issues or business rules
  * `SCHEDULED`: The bulk action is set to be processed at a future specified time (n/a)
</Note>

<Tip>
  Bulk order actions are asynchronous operations. You can either poll the [GET endpoint](/api-reference/order/get-response-from-asynchronous-bulk-order-operation)
  using the returned `id`, and/or opt-in to receive the results via webhook. The webhook event is
  `order.bulk_operation.completed` and will be sent once the bulk operation is complete.
</Tip>


## OpenAPI

````yaml post /v1/orders/bulk
openapi: 3.1.0
info:
  title: Nash API
  version: 1.0.0
servers:
  - url: https://api.sandbox.usenash.com
    description: Sandbox API
  - url: https://api.sandbox.ap-southeast-2.usenash.com
    description: Sandbox API (Australia)
  - url: https://api.usenash.com
    description: Production API
  - url: https://api.ap-southeast-2.usenash.com
    description: Production API (Australia)
security: []
tags:
  - name: Notifications
    description: Notifications
    x-nash-topic: config
  - name: Annotate
    description: Annotate
    x-nash-topic: wismo
  - name: Notifications — Send
    description: One-off notification send without a NotificationTrigger.
    x-nash-topic: notifications
  - name: Shipping
    description: Shipping operations
    x-nash-topic: shipping
  - name: Workflow
    description: Workflow automation management
    x-nash-topic: scheduling
  - name: Workflow Execution
    description: Workflow execution history and monitoring
    x-nash-topic: scheduling
  - name: Optimization Strategies
    description: Create, read, update, and delete route optimization strategies.
    x-nash-topic: scheduling
  - name: AI Agents
    description: AI agent management — create, read, update, and delete agents
    x-nash-topic: config
  - name: AI Functions
    description: LLM-backed domain tools
    x-nash-topic: ai
  - name: Webhooks
    description: Webhook delivery inspection
    x-nash-topic: webhooks
  - name: Fleet Simulator
    description: Simulate delivery status transitions in dev and sandbox environments.
    x-nash-topic: testing
  - name: Miscellaneous
    description: Miscellaneous
  - name: Job
    description: Job
    x-nash-topic: wismo
  - name: Batch Job
    description: Batch Job
    x-nash-topic: wismo
  - name: Order
    description: Order
    x-nash-topic: wismo
  - name: Route
    description: Route
    x-nash-topic: scheduling
  - name: Provider
    description: Provider
    x-nash-topic: provider
  - name: Dispatch Strategies
    description: Dispatch Strategies
    x-nash-topic: scheduling
  - name: Store Locations
    description: Store Locations
    x-nash-topic: config
  - name: Vehicles
    description: Vehicles
    x-nash-topic: provider
  - name: Couriers
    description: Couriers
    x-nash-topic: provider
  - name: Shifts
    description: Shifts
    x-nash-topic: provider
  - name: Delivery Windows
    description: Delivery Windows
    x-nash-topic: config
  - name: Templates
    description: Templates
    x-nash-topic: config
  - name: Zones
    description: Zones
    x-nash-topic: config
  - name: Feedback
    description: Feedback
    x-nash-topic: reporting
  - name: Organizations
    description: Organizations
    x-nash-topic: config
  - name: Store Catalog
    description: Store Catalog
    x-nash-topic: config
  - name: Messaging
    description: Messaging
    x-nash-topic: config
  - name: Contracts
    description: Provider contract pricing and version listings
    x-nash-topic: provider
  - name: Event Timeline
    description: Entity-scoped event timeline + outbound provider traffic for one entity.
    x-nash-topic: internal
  - name: Fleet
    description: Inbound endpoints fleets call to update in-flight deliveries.
    x-nash-topic: delivery
  - name: Route Restrictions
    description: Org-scoped geographic areas the route optimizer must avoid traversing.
    x-nash-topic: config
  - name: Users
    description: User, role, and organization-membership management.
    x-nash-topic: config
paths:
  /v1/orders/bulk:
    post:
      tags:
        - Order
      summary: Create, update, upsert, or delete orders asynchronously in bulk
      description: >-
        Submit a bulk operation to create, update, upsert, or delete multiple
        orders asynchronously. Returns a bulk operation ID that can be polled
        for results using the GET bulk endpoint.
      operationId: orders_bulk_operation_v1_orders_bulk_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrdersBulkOperationInput'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkOperationResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NashValidationError'
components:
  schemas:
    OrdersBulkOperationInput:
      title: OrdersBulkOperationInput
      type: array
      items:
        oneOf:
          - $ref: '#/components/schemas/CreateOrderBulkPayload'
          - $ref: '#/components/schemas/UpdateOrderBulkPayload'
          - $ref: '#/components/schemas/UpsertOrderBulkPayload'
          - $ref: '#/components/schemas/DeleteOrderBulkPayload'
        discriminator:
          propertyName: action
          mapping:
            create:
              $ref: '#/components/schemas/CreateOrderBulkPayload'
            delete:
              $ref: '#/components/schemas/DeleteOrderBulkPayload'
            update:
              $ref: '#/components/schemas/UpdateOrderBulkPayload'
            upsert:
              $ref: '#/components/schemas/UpsertOrderBulkPayload'
    BulkOperationResponse:
      title: BulkOperationResponse
      required:
        - id
        - status
      type: object
      properties:
        id:
          title: Id
          type: string
          description: The ID of the bulk operation
          example: act_1234567890
        status:
          $ref: '#/components/schemas/ActivityStatus'
          description: The status of the bulk operation
          example: QUEUED
    NashValidationError:
      title: NashValidationError
      required:
        - error
        - response_status
        - RequestID
      type: object
      properties:
        error:
          $ref: '#/components/schemas/NashErrorDetails'
        response_status:
          title: Response Status
          type: string
        RequestID:
          title: Requestid
          type: string
    CreateOrderBulkPayload:
      title: CreateOrderBulkPayload
      required:
        - action
        - data
      type: object
      properties:
        action:
          title: Action
          type: string
          const: create
        data:
          $ref: '#/components/schemas/OrderInput'
    UpdateOrderBulkPayload:
      title: UpdateOrderBulkPayload
      required:
        - action
        - data
      type: object
      properties:
        action:
          title: Action
          type: string
          const: update
        data:
          $ref: '#/components/schemas/UpdateOrderInput'
    UpsertOrderBulkPayload:
      title: UpsertOrderBulkPayload
      required:
        - action
        - data
      type: object
      properties:
        action:
          title: Action
          type: string
          const: upsert
        data:
          $ref: '#/components/schemas/UpsertOrderInput'
    DeleteOrderBulkPayload:
      title: DeleteOrderBulkPayload
      required:
        - action
        - data
      type: object
      properties:
        action:
          title: Action
          type: string
          const: delete
        data:
          $ref: '#/components/schemas/OrderIdPath'
    ActivityStatus:
      title: ActivityStatus
      enum:
        - QUEUED
        - IN_PROGRESS
        - SUCCESS
        - FAILED
        - CANCELLED
        - SKIPPED
        - SCHEDULED
      type: string
      description: Status of an activity.
    NashErrorDetails:
      title: NashErrorDetails
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
        details:
          title: Details
          anyOf:
            - type: object
              additionalProperties: true
            - type: 'null'
          default: null
    OrderInput:
      title: OrderInput
      type: object
      properties:
        externalId:
          title: Externalid
          anyOf:
            - type: string
            - type: 'null'
          description: Order unique identifier from an external system.
          default: null
        pickupAddress:
          title: Pickupaddress
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The full address in one line for the pickup location. Format:
            [Number] [Street], [second line], [city], [state], [zip code].
          default: null
        pickupPlaceId:
          title: Pickupplaceid
          anyOf:
            - type: string
            - type: 'null'
          description: Google place id for the pickup location.
          default: null
        pickupPhoneNumber:
          title: Pickupphonenumber
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The phone number to contact at the pickup location in the form:
            '+15555555555'
          default: null
        pickupBusinessName:
          title: Pickupbusinessname
          anyOf:
            - type: string
            - type: 'null'
          description: Pickup business name at the origin. Limited to 80 characters.
          default: null
        pickupFirstName:
          title: Pickupfirstname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            First name of the person to pickup from. If unknown pass 'Manager'.
            Limited to 80 characters.
          default: null
        pickupLastName:
          title: Pickuplastname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Last name of the person to pickup from. If unknown pass 'Manager'.
            Limited to 80 characters.
          default: null
        pickupInstructions:
          title: Pickupinstructions
          anyOf:
            - type: string
            - type: 'null'
          description: Any special instructions for pickup. Limited to 280 characters.
          default: null
        pickupStoreLocationId:
          title: Pickupstorelocationid
          anyOf:
            - type: string
            - type: 'null'
          description: A unique identifier for store location created in Nash.
          default: null
        pickupExternalStoreLocationId:
          title: Pickupexternalstorelocationid
          anyOf:
            - type: string
            - type: 'null'
          description: The external identifier used for your store.
          default: null
        pickupStoreLocationIds:
          title: Pickupstorelocationids
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: >-
            A list of store location IDs (internal or external) to consider for
            the Order. The optimal store will be selected and returned in the
            response in `pickupStoreLocationId` and/or
            `pickupStoreLocationExternalId`.
          default: null
        pickupZoneIds:
          title: Pickupzoneids
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: >-
            A list of zone IDs to consider for the Order. The pickup store
            location will be selected later via selected delivery window.
          default: null
        pickupBarcodes:
          title: Pickupbarcodes
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: >-
            Array containing barcode values that are required to be scanned at
            the pickup waypoint.
          default: null
        pickupEmail:
          title: Pickupemail
          anyOf:
            - type: string
            - type: 'null'
          description: The email of the contact at the pickup location.
          default: null
        dropoffAddress:
          title: Dropoffaddress
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The full address in one line for the dropoff location. Format:
            [Number] [Street], [second line], [city], [state], [zip code].
          default: null
        dropoffPlaceId:
          title: Dropoffplaceid
          anyOf:
            - type: string
            - type: 'null'
          description: Google place id for the dropoff location.
          default: null
        dropoffPhoneNumber:
          title: Dropoffphonenumber
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The phone number to contact at the dropoff location in the form:
            '+15555555555'
          default: null
        dropoffBusinessName:
          title: Dropoffbusinessname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Name of the business at the destination. Should be left empty if
            there is no business. Limited to 80 characters.
          default: null
        dropoffFirstName:
          title: Dropofffirstname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            First name of the contact at the destination. Limited to 80
            characters.
          default: null
        dropoffLastName:
          title: Dropofflastname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Last name of the contact at the destination. Limited to 80
            characters.
          default: null
        dropoffInstructions:
          title: Dropoffinstructions
          anyOf:
            - type: string
            - type: 'null'
          description: Any special instructions for dropoff. Limited to 280 characters.
          default: null
        dropoffBarcodes:
          title: Dropoffbarcodes
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: >-
            Array containing barcode values/types that are required to be
            scanned at the dropoff waypoint.
          default: null
        dropoffEmail:
          title: Dropoffemail
          anyOf:
            - type: string
            - type: 'null'
          description: The email of the contact at the dropoff location.
          default: null
        deliveryMode:
          title: Deliverymode
          anyOf:
            - type: string
            - type: 'null'
          description: '''now'' or ''scheduled'' when the delivery should be scheduled'
          default: null
        pickupStartTime:
          title: Pickupstarttime
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The earliest pickup time in UTC in the form 'YYYY-MM-DDTHH:MM:SSZ'
          default: null
        pickupEndTime:
          title: Pickupendtime
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The latest pickup time in UTC in the form 'YYYY-MM-DDTHH:MM:SSZ'
          default: null
        dropoffStartTime:
          title: Dropoffstarttime
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The earliest dropoff time in UTC in the form 'YYYY-MM-DDTHH:MM:SSZ'
          default: null
        dropoffEndTime:
          title: Dropoffendtime
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The latest dropoff time in UTC in the form 'YYYY-MM-DDTHH:MM:SSZ'
          default: null
        deliveryWindowId:
          title: Deliverywindowid
          anyOf:
            - type: string
            - type: 'null'
          description: Delivery window id if using Nash delivery windows
          default: null
        description:
          title: Description
          anyOf:
            - type: string
            - type: 'null'
          description: Order description and notes. Limited to 280 characters.
          default: null
        itemsCount:
          title: Itemscount
          anyOf:
            - type: integer
            - type: 'null'
          description: The number of items in this order
          default: null
        currency:
          title: Currency
          anyOf:
            - type: string
            - type: 'null'
          description: Local currency
          default: null
        valueCents:
          title: Valuecents
          anyOf:
            - type: integer
            - type: string
            - type: 'null'
          description: Order value in cents
          default: null
        tipAmountCents:
          title: Tipamountcents
          anyOf:
            - type: integer
            - type: 'null'
          description: Tip paid to the driver in cents
          default: null
        requirements:
          title: Requirements
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/PackageRequirements'
            - type: array
              items:
                type: string
            - type: 'null'
          description: Package requirements.
          default: null
          example:
            - photo_proof_of_delivery
            - age_verification_on_delivery
        minimumVehicleSize:
          title: Minimumvehiclesize
          enum:
            - any
            - bike
            - motorbike
            - cargobike
            - sedan
            - car
            - suv
            - pickup_truck
            - pickup
            - van
            - large_van
            - extra_large_van
            - truck
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The requested minimum vehicle size. Allowed values: ['any', 'bike',
            'motorbike', 'cargobike', 'sedan', 'car', 'suv', 'pickup_truck',
            'pickup', 'van', 'large_van', 'extra_large_van', 'truck']
          default: null
          example: car
        dispatchStrategyId:
          title: Dispatchstrategyid
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The dispatch strategy id (or option group id) to be associated with
            the order.

             Note: Best practice is to allow automations to control dispatch strategy and not send the dispatch strategy id in the request.
          default: null
        orderMetadata:
          title: Ordermetadata
          anyOf:
            - type: object
              additionalProperties: true
            - type: 'null'
          description: Key-value data to attach to this order.
          default: null
        tags:
          title: Tags
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: Optional order tags, they will be included in every response
          default: null
        referenceId:
          title: Referenceid
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A non-unique identifier for orders, visible to the courier if
            supported by the provider.
          default: null
        pickupAddressNumber:
          title: Pickupaddressnumber
          anyOf:
            - type: string
            - type: 'null'
          description: The number on a house.
          default: null
        pickupAddressSecondarynumber:
          title: Pickupaddresssecondarynumber
          anyOf:
            - type: string
            - type: 'null'
          description: Secondary number on an address e.g. an apartment building.
          default: null
        pickupAddressFormattedStreet:
          title: Pickupaddressformattedstreet
          anyOf:
            - type: string
            - type: 'null'
          description: The street of the address.
          default: null
        pickupAddressCity:
          title: Pickupaddresscity
          anyOf:
            - type: string
            - type: 'null'
          description: The city of the pickup address.
          default: null
        pickupAddressCounty:
          title: Pickupaddresscounty
          anyOf:
            - type: string
            - type: 'null'
          description: The county associated with the pickup address.
          default: null
        pickupAddressState:
          title: Pickupaddressstate
          anyOf:
            - type: string
            - type: 'null'
          description: The state of the pickup address.
          default: null
        pickupAddressZip:
          title: Pickupaddresszip
          anyOf:
            - type: string
            - type: 'null'
          description: The zip or postal code of the pickup address.
          default: null
        pickupAddressCountry:
          title: Pickupaddresscountry
          anyOf:
            - type: string
            - type: 'null'
          description: The ISO 3166-1 alpha-2 country code of the pickup address.
          default: null
        pickupLat:
          title: Pickuplat
          anyOf:
            - type: number
            - type: 'null'
          description: The pickup latitude coordinate.
          default: null
        pickupLng:
          title: Pickuplng
          anyOf:
            - type: number
            - type: 'null'
          description: The pickup longitude coordinate.
          default: null
        dropoffAddressNumber:
          title: Dropoffaddressnumber
          anyOf:
            - type: string
            - type: 'null'
          description: The number on a house.
          default: null
        dropoffAddressSecondarynumber:
          title: Dropoffaddresssecondarynumber
          anyOf:
            - type: string
            - type: 'null'
          description: Secondary number on an address e.g. an apartment building.
          default: null
        dropoffAddressFormattedStreet:
          title: Dropoffaddressformattedstreet
          anyOf:
            - type: string
            - type: 'null'
          description: The street of the address.
          default: null
        dropoffAddressCity:
          title: Dropoffaddresscity
          anyOf:
            - type: string
            - type: 'null'
          description: The city of the dropoff address.
          default: null
        dropoffAddressCounty:
          title: Dropoffaddresscounty
          anyOf:
            - type: string
            - type: 'null'
          description: The county associated with the dropoff address.
          default: null
        dropoffAddressState:
          title: Dropoffaddressstate
          anyOf:
            - type: string
            - type: 'null'
          description: The state of the dropoff address.
          default: null
        dropoffAddressZip:
          title: Dropoffaddresszip
          anyOf:
            - type: string
            - type: 'null'
          description: The zip or postal code of the dropoff address.
          default: null
        dropoffAddressCountry:
          title: Dropoffaddresscountry
          anyOf:
            - type: string
            - type: 'null'
          description: The ISO 3166-1 alpha-2 country code of the dropoff address.
          default: null
        dropoffLat:
          title: Dropofflat
          anyOf:
            - type: number
            - type: 'null'
          description: The dropoff latitude coordinate.
          default: null
        dropoffLng:
          title: Dropofflng
          anyOf:
            - type: number
            - type: 'null'
          description: The dropoff longitude coordinate.
          default: null
        weight:
          title: Weight
          anyOf:
            - type: number
            - type: integer
            - type: string
            - type: 'null'
          description: The total weight of the package in kilograms (kg)
          default: null
        height:
          title: Height
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The total height of the package in centimeters (cm)
          default: null
        width:
          title: Width
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The total width of the package in centimeters (cm)
          default: null
        depth:
          title: Depth
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The total depth of the package in centimeters (cm)
          default: null
        items:
          title: Items
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/ItemInput'
            - type: 'null'
          description: Lists of items in the delivery
          default: null
        optimizationParameters:
          anyOf:
            - $ref: '#/components/schemas/OptimizationParameters'
            - type: 'null'
          description: Order-level optimization parameters
          default: null
        pickupPayment:
          anyOf:
            - $ref: '#/components/schemas/PickupPayment'
            - type: 'null'
          description: >-
            How the courier should pay for the order at pickup (e.g. a barcode
            or provider card).
          default: null
        reapplyAutomations:
          title: Reapplyautomations
          anyOf:
            - type: boolean
            - type: 'null'
          description: If set to true, the order will be re-evaluated with automations.
          default: null
        maxDeliveryFeeCents:
          title: Maxdeliveryfeecents
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            The maximum delivery fee for the order in cents. This will override
            the dispatch strategy max delivery fee if both are set.
          default: null
      description: Order input for creating an order.
    UpdateOrderInput:
      title: UpdateOrderInput
      required:
        - id
      type: object
      properties:
        externalId:
          title: Externalid
          anyOf:
            - type: string
            - type: 'null'
          description: Order unique identifier from an external system.
          default: null
        pickupAddress:
          title: Pickupaddress
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The full address in one line for the pickup location. Format:
            [Number] [Street], [second line], [city], [state], [zip code].
          default: null
        pickupPlaceId:
          title: Pickupplaceid
          anyOf:
            - type: string
            - type: 'null'
          description: Google place id for the pickup location.
          default: null
        pickupPhoneNumber:
          title: Pickupphonenumber
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The phone number to contact at the pickup location in the form:
            '+15555555555'
          default: null
        pickupBusinessName:
          title: Pickupbusinessname
          anyOf:
            - type: string
            - type: 'null'
          description: Pickup business name at the origin. Limited to 80 characters.
          default: null
        pickupFirstName:
          title: Pickupfirstname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            First name of the person to pickup from. If unknown pass 'Manager'.
            Limited to 80 characters.
          default: null
        pickupLastName:
          title: Pickuplastname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Last name of the person to pickup from. If unknown pass 'Manager'.
            Limited to 80 characters.
          default: null
        pickupInstructions:
          title: Pickupinstructions
          anyOf:
            - type: string
            - type: 'null'
          description: Any special instructions for pickup. Limited to 280 characters.
          default: null
        pickupStoreLocationId:
          title: Pickupstorelocationid
          anyOf:
            - type: string
            - type: 'null'
          description: A unique identifier for store location created in Nash.
          default: null
        pickupExternalStoreLocationId:
          title: Pickupexternalstorelocationid
          anyOf:
            - type: string
            - type: 'null'
          description: The external identifier used for your store.
          default: null
        pickupStoreLocationIds:
          title: Pickupstorelocationids
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: >-
            A list of store location IDs (internal or external) to consider for
            the Order. The optimal store will be selected and returned in the
            response in `pickupStoreLocationId` and/or
            `pickupStoreLocationExternalId`.
          default: null
        pickupZoneIds:
          title: Pickupzoneids
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: >-
            A list of zone IDs to consider for the Order. The pickup store
            location will be selected later via selected delivery window.
          default: null
        pickupBarcodes:
          title: Pickupbarcodes
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: >-
            Array containing barcode values that are required to be scanned at
            the pickup waypoint.
          default: null
        pickupEmail:
          title: Pickupemail
          anyOf:
            - type: string
            - type: 'null'
          description: The email of the contact at the pickup location.
          default: null
        dropoffAddress:
          title: Dropoffaddress
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The full address in one line for the dropoff location. Format:
            [Number] [Street], [second line], [city], [state], [zip code].
          default: null
        dropoffPlaceId:
          title: Dropoffplaceid
          anyOf:
            - type: string
            - type: 'null'
          description: Google place id for the dropoff location.
          default: null
        dropoffPhoneNumber:
          title: Dropoffphonenumber
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The phone number to contact at the dropoff location in the form:
            '+15555555555'
          default: null
        dropoffBusinessName:
          title: Dropoffbusinessname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Name of the business at the destination. Should be left empty if
            there is no business. Limited to 80 characters.
          default: null
        dropoffFirstName:
          title: Dropofffirstname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            First name of the contact at the destination. Limited to 80
            characters.
          default: null
        dropoffLastName:
          title: Dropofflastname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Last name of the contact at the destination. Limited to 80
            characters.
          default: null
        dropoffInstructions:
          title: Dropoffinstructions
          anyOf:
            - type: string
            - type: 'null'
          description: Any special instructions for dropoff. Limited to 280 characters.
          default: null
        dropoffBarcodes:
          title: Dropoffbarcodes
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: >-
            Array containing barcode values/types that are required to be
            scanned at the dropoff waypoint.
          default: null
        dropoffEmail:
          title: Dropoffemail
          anyOf:
            - type: string
            - type: 'null'
          description: The email of the contact at the dropoff location.
          default: null
        deliveryMode:
          title: Deliverymode
          anyOf:
            - type: string
            - type: 'null'
          description: '''now'' or ''scheduled'' when the delivery should be scheduled'
          default: null
        pickupStartTime:
          title: Pickupstarttime
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The earliest pickup time in UTC in the form 'YYYY-MM-DDTHH:MM:SSZ'
          default: null
        pickupEndTime:
          title: Pickupendtime
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The latest pickup time in UTC in the form 'YYYY-MM-DDTHH:MM:SSZ'
          default: null
        dropoffStartTime:
          title: Dropoffstarttime
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The earliest dropoff time in UTC in the form 'YYYY-MM-DDTHH:MM:SSZ'
          default: null
        dropoffEndTime:
          title: Dropoffendtime
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The latest dropoff time in UTC in the form 'YYYY-MM-DDTHH:MM:SSZ'
          default: null
        deliveryWindowId:
          title: Deliverywindowid
          anyOf:
            - type: string
            - type: 'null'
          description: Delivery window id if using Nash delivery windows
          default: null
        description:
          title: Description
          anyOf:
            - type: string
            - type: 'null'
          description: Order description and notes. Limited to 280 characters.
          default: null
        itemsCount:
          title: Itemscount
          anyOf:
            - type: integer
            - type: 'null'
          description: The number of items in this order
          default: null
        currency:
          title: Currency
          anyOf:
            - type: string
            - type: 'null'
          description: Local currency
          default: null
        valueCents:
          title: Valuecents
          anyOf:
            - type: integer
            - type: string
            - type: 'null'
          description: Order value in cents
          default: null
        tipAmountCents:
          title: Tipamountcents
          anyOf:
            - type: integer
            - type: 'null'
          description: Tip paid to the driver in cents
          default: null
        requirements:
          title: Requirements
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/PackageRequirements'
            - type: array
              items:
                type: string
            - type: 'null'
          description: Package requirements.
          default: null
          example:
            - photo_proof_of_delivery
            - age_verification_on_delivery
        minimumVehicleSize:
          title: Minimumvehiclesize
          enum:
            - any
            - bike
            - motorbike
            - cargobike
            - sedan
            - car
            - suv
            - pickup_truck
            - pickup
            - van
            - large_van
            - extra_large_van
            - truck
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The requested minimum vehicle size. Allowed values: ['any', 'bike',
            'motorbike', 'cargobike', 'sedan', 'car', 'suv', 'pickup_truck',
            'pickup', 'van', 'large_van', 'extra_large_van', 'truck']
          default: null
          example: car
        dispatchStrategyId:
          title: Dispatchstrategyid
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The dispatch strategy id (or option group id) to be associated with
            the order.

             Note: Best practice is to allow automations to control dispatch strategy and not send the dispatch strategy id in the request.
          default: null
        orderMetadata:
          title: Ordermetadata
          anyOf:
            - type: object
              additionalProperties: true
            - type: 'null'
          description: Key-value data to attach to this order.
          default: null
        tags:
          title: Tags
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: Optional order tags, they will be included in every response
          default: null
        referenceId:
          title: Referenceid
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A non-unique identifier for orders, visible to the courier if
            supported by the provider.
          default: null
        pickupAddressNumber:
          title: Pickupaddressnumber
          anyOf:
            - type: string
            - type: 'null'
          description: The number on a house.
          default: null
        pickupAddressSecondarynumber:
          title: Pickupaddresssecondarynumber
          anyOf:
            - type: string
            - type: 'null'
          description: Secondary number on an address e.g. an apartment building.
          default: null
        pickupAddressFormattedStreet:
          title: Pickupaddressformattedstreet
          anyOf:
            - type: string
            - type: 'null'
          description: The street of the address.
          default: null
        pickupAddressCity:
          title: Pickupaddresscity
          anyOf:
            - type: string
            - type: 'null'
          description: The city of the pickup address.
          default: null
        pickupAddressCounty:
          title: Pickupaddresscounty
          anyOf:
            - type: string
            - type: 'null'
          description: The county associated with the pickup address.
          default: null
        pickupAddressState:
          title: Pickupaddressstate
          anyOf:
            - type: string
            - type: 'null'
          description: The state of the pickup address.
          default: null
        pickupAddressZip:
          title: Pickupaddresszip
          anyOf:
            - type: string
            - type: 'null'
          description: The zip or postal code of the pickup address.
          default: null
        pickupAddressCountry:
          title: Pickupaddresscountry
          anyOf:
            - type: string
            - type: 'null'
          description: The ISO 3166-1 alpha-2 country code of the pickup address.
          default: null
        pickupLat:
          title: Pickuplat
          anyOf:
            - type: number
            - type: 'null'
          description: The pickup latitude coordinate.
          default: null
        pickupLng:
          title: Pickuplng
          anyOf:
            - type: number
            - type: 'null'
          description: The pickup longitude coordinate.
          default: null
        dropoffAddressNumber:
          title: Dropoffaddressnumber
          anyOf:
            - type: string
            - type: 'null'
          description: The number on a house.
          default: null
        dropoffAddressSecondarynumber:
          title: Dropoffaddresssecondarynumber
          anyOf:
            - type: string
            - type: 'null'
          description: Secondary number on an address e.g. an apartment building.
          default: null
        dropoffAddressFormattedStreet:
          title: Dropoffaddressformattedstreet
          anyOf:
            - type: string
            - type: 'null'
          description: The street of the address.
          default: null
        dropoffAddressCity:
          title: Dropoffaddresscity
          anyOf:
            - type: string
            - type: 'null'
          description: The city of the dropoff address.
          default: null
        dropoffAddressCounty:
          title: Dropoffaddresscounty
          anyOf:
            - type: string
            - type: 'null'
          description: The county associated with the dropoff address.
          default: null
        dropoffAddressState:
          title: Dropoffaddressstate
          anyOf:
            - type: string
            - type: 'null'
          description: The state of the dropoff address.
          default: null
        dropoffAddressZip:
          title: Dropoffaddresszip
          anyOf:
            - type: string
            - type: 'null'
          description: The zip or postal code of the dropoff address.
          default: null
        dropoffAddressCountry:
          title: Dropoffaddresscountry
          anyOf:
            - type: string
            - type: 'null'
          description: The ISO 3166-1 alpha-2 country code of the dropoff address.
          default: null
        dropoffLat:
          title: Dropofflat
          anyOf:
            - type: number
            - type: 'null'
          description: The dropoff latitude coordinate.
          default: null
        dropoffLng:
          title: Dropofflng
          anyOf:
            - type: number
            - type: 'null'
          description: The dropoff longitude coordinate.
          default: null
        weight:
          title: Weight
          anyOf:
            - type: number
            - type: integer
            - type: string
            - type: 'null'
          description: The total weight of the package in kilograms (kg)
          default: null
        height:
          title: Height
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The total height of the package in centimeters (cm)
          default: null
        width:
          title: Width
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The total width of the package in centimeters (cm)
          default: null
        depth:
          title: Depth
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The total depth of the package in centimeters (cm)
          default: null
        items:
          title: Items
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/ItemInput'
            - type: 'null'
          description: Lists of items in the delivery
          default: null
        optimizationParameters:
          anyOf:
            - $ref: '#/components/schemas/OptimizationParameters'
            - type: 'null'
          description: Order-level optimization parameters
          default: null
        pickupPayment:
          anyOf:
            - $ref: '#/components/schemas/PickupPayment'
            - type: 'null'
          description: >-
            How the courier should pay for the order at pickup (e.g. a barcode
            or provider card).
          default: null
        reapplyAutomations:
          title: Reapplyautomations
          anyOf:
            - type: boolean
            - type: 'null'
          description: If set to true, the order will be re-evaluated with automations.
          default: null
        maxDeliveryFeeCents:
          title: Maxdeliveryfeecents
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            The maximum delivery fee for the order in cents. This will override
            the dispatch strategy max delivery fee if both are set.
          default: null
        id:
          title: Id
          type: string
          description: The ID of the order
    UpsertOrderInput:
      title: UpsertOrderInput
      type: object
      properties:
        externalId:
          title: Externalid
          anyOf:
            - type: string
            - type: 'null'
          description: Order unique identifier from an external system.
          default: null
        pickupAddress:
          title: Pickupaddress
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The full address in one line for the pickup location. Format:
            [Number] [Street], [second line], [city], [state], [zip code].
          default: null
        pickupPlaceId:
          title: Pickupplaceid
          anyOf:
            - type: string
            - type: 'null'
          description: Google place id for the pickup location.
          default: null
        pickupPhoneNumber:
          title: Pickupphonenumber
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The phone number to contact at the pickup location in the form:
            '+15555555555'
          default: null
        pickupBusinessName:
          title: Pickupbusinessname
          anyOf:
            - type: string
            - type: 'null'
          description: Pickup business name at the origin. Limited to 80 characters.
          default: null
        pickupFirstName:
          title: Pickupfirstname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            First name of the person to pickup from. If unknown pass 'Manager'.
            Limited to 80 characters.
          default: null
        pickupLastName:
          title: Pickuplastname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Last name of the person to pickup from. If unknown pass 'Manager'.
            Limited to 80 characters.
          default: null
        pickupInstructions:
          title: Pickupinstructions
          anyOf:
            - type: string
            - type: 'null'
          description: Any special instructions for pickup. Limited to 280 characters.
          default: null
        pickupStoreLocationId:
          title: Pickupstorelocationid
          anyOf:
            - type: string
            - type: 'null'
          description: A unique identifier for store location created in Nash.
          default: null
        pickupExternalStoreLocationId:
          title: Pickupexternalstorelocationid
          anyOf:
            - type: string
            - type: 'null'
          description: The external identifier used for your store.
          default: null
        pickupStoreLocationIds:
          title: Pickupstorelocationids
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: >-
            A list of store location IDs (internal or external) to consider for
            the Order. The optimal store will be selected and returned in the
            response in `pickupStoreLocationId` and/or
            `pickupStoreLocationExternalId`.
          default: null
        pickupZoneIds:
          title: Pickupzoneids
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: >-
            A list of zone IDs to consider for the Order. The pickup store
            location will be selected later via selected delivery window.
          default: null
        pickupBarcodes:
          title: Pickupbarcodes
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: >-
            Array containing barcode values that are required to be scanned at
            the pickup waypoint.
          default: null
        pickupEmail:
          title: Pickupemail
          anyOf:
            - type: string
            - type: 'null'
          description: The email of the contact at the pickup location.
          default: null
        dropoffAddress:
          title: Dropoffaddress
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The full address in one line for the dropoff location. Format:
            [Number] [Street], [second line], [city], [state], [zip code].
          default: null
        dropoffPlaceId:
          title: Dropoffplaceid
          anyOf:
            - type: string
            - type: 'null'
          description: Google place id for the dropoff location.
          default: null
        dropoffPhoneNumber:
          title: Dropoffphonenumber
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The phone number to contact at the dropoff location in the form:
            '+15555555555'
          default: null
        dropoffBusinessName:
          title: Dropoffbusinessname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Name of the business at the destination. Should be left empty if
            there is no business. Limited to 80 characters.
          default: null
        dropoffFirstName:
          title: Dropofffirstname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            First name of the contact at the destination. Limited to 80
            characters.
          default: null
        dropoffLastName:
          title: Dropofflastname
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Last name of the contact at the destination. Limited to 80
            characters.
          default: null
        dropoffInstructions:
          title: Dropoffinstructions
          anyOf:
            - type: string
            - type: 'null'
          description: Any special instructions for dropoff. Limited to 280 characters.
          default: null
        dropoffBarcodes:
          title: Dropoffbarcodes
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: >-
            Array containing barcode values/types that are required to be
            scanned at the dropoff waypoint.
          default: null
        dropoffEmail:
          title: Dropoffemail
          anyOf:
            - type: string
            - type: 'null'
          description: The email of the contact at the dropoff location.
          default: null
        deliveryMode:
          title: Deliverymode
          anyOf:
            - type: string
            - type: 'null'
          description: '''now'' or ''scheduled'' when the delivery should be scheduled'
          default: null
        pickupStartTime:
          title: Pickupstarttime
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The earliest pickup time in UTC in the form 'YYYY-MM-DDTHH:MM:SSZ'
          default: null
        pickupEndTime:
          title: Pickupendtime
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The latest pickup time in UTC in the form 'YYYY-MM-DDTHH:MM:SSZ'
          default: null
        dropoffStartTime:
          title: Dropoffstarttime
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The earliest dropoff time in UTC in the form 'YYYY-MM-DDTHH:MM:SSZ'
          default: null
        dropoffEndTime:
          title: Dropoffendtime
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The latest dropoff time in UTC in the form 'YYYY-MM-DDTHH:MM:SSZ'
          default: null
        deliveryWindowId:
          title: Deliverywindowid
          anyOf:
            - type: string
            - type: 'null'
          description: Delivery window id if using Nash delivery windows
          default: null
        description:
          title: Description
          anyOf:
            - type: string
            - type: 'null'
          description: Order description and notes. Limited to 280 characters.
          default: null
        itemsCount:
          title: Itemscount
          anyOf:
            - type: integer
            - type: 'null'
          description: The number of items in this order
          default: null
        currency:
          title: Currency
          anyOf:
            - type: string
            - type: 'null'
          description: Local currency
          default: null
        valueCents:
          title: Valuecents
          anyOf:
            - type: integer
            - type: string
            - type: 'null'
          description: Order value in cents
          default: null
        tipAmountCents:
          title: Tipamountcents
          anyOf:
            - type: integer
            - type: 'null'
          description: Tip paid to the driver in cents
          default: null
        requirements:
          title: Requirements
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/PackageRequirements'
            - type: array
              items:
                type: string
            - type: 'null'
          description: Package requirements.
          default: null
          example:
            - photo_proof_of_delivery
            - age_verification_on_delivery
        minimumVehicleSize:
          title: Minimumvehiclesize
          enum:
            - any
            - bike
            - motorbike
            - cargobike
            - sedan
            - car
            - suv
            - pickup_truck
            - pickup
            - van
            - large_van
            - extra_large_van
            - truck
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The requested minimum vehicle size. Allowed values: ['any', 'bike',
            'motorbike', 'cargobike', 'sedan', 'car', 'suv', 'pickup_truck',
            'pickup', 'van', 'large_van', 'extra_large_van', 'truck']
          default: null
          example: car
        dispatchStrategyId:
          title: Dispatchstrategyid
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The dispatch strategy id (or option group id) to be associated with
            the order.

             Note: Best practice is to allow automations to control dispatch strategy and not send the dispatch strategy id in the request.
          default: null
        orderMetadata:
          title: Ordermetadata
          anyOf:
            - type: object
              additionalProperties: true
            - type: 'null'
          description: Key-value data to attach to this order.
          default: null
        tags:
          title: Tags
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: Optional order tags, they will be included in every response
          default: null
        referenceId:
          title: Referenceid
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A non-unique identifier for orders, visible to the courier if
            supported by the provider.
          default: null
        pickupAddressNumber:
          title: Pickupaddressnumber
          anyOf:
            - type: string
            - type: 'null'
          description: The number on a house.
          default: null
        pickupAddressSecondarynumber:
          title: Pickupaddresssecondarynumber
          anyOf:
            - type: string
            - type: 'null'
          description: Secondary number on an address e.g. an apartment building.
          default: null
        pickupAddressFormattedStreet:
          title: Pickupaddressformattedstreet
          anyOf:
            - type: string
            - type: 'null'
          description: The street of the address.
          default: null
        pickupAddressCity:
          title: Pickupaddresscity
          anyOf:
            - type: string
            - type: 'null'
          description: The city of the pickup address.
          default: null
        pickupAddressCounty:
          title: Pickupaddresscounty
          anyOf:
            - type: string
            - type: 'null'
          description: The county associated with the pickup address.
          default: null
        pickupAddressState:
          title: Pickupaddressstate
          anyOf:
            - type: string
            - type: 'null'
          description: The state of the pickup address.
          default: null
        pickupAddressZip:
          title: Pickupaddresszip
          anyOf:
            - type: string
            - type: 'null'
          description: The zip or postal code of the pickup address.
          default: null
        pickupAddressCountry:
          title: Pickupaddresscountry
          anyOf:
            - type: string
            - type: 'null'
          description: The ISO 3166-1 alpha-2 country code of the pickup address.
          default: null
        pickupLat:
          title: Pickuplat
          anyOf:
            - type: number
            - type: 'null'
          description: The pickup latitude coordinate.
          default: null
        pickupLng:
          title: Pickuplng
          anyOf:
            - type: number
            - type: 'null'
          description: The pickup longitude coordinate.
          default: null
        dropoffAddressNumber:
          title: Dropoffaddressnumber
          anyOf:
            - type: string
            - type: 'null'
          description: The number on a house.
          default: null
        dropoffAddressSecondarynumber:
          title: Dropoffaddresssecondarynumber
          anyOf:
            - type: string
            - type: 'null'
          description: Secondary number on an address e.g. an apartment building.
          default: null
        dropoffAddressFormattedStreet:
          title: Dropoffaddressformattedstreet
          anyOf:
            - type: string
            - type: 'null'
          description: The street of the address.
          default: null
        dropoffAddressCity:
          title: Dropoffaddresscity
          anyOf:
            - type: string
            - type: 'null'
          description: The city of the dropoff address.
          default: null
        dropoffAddressCounty:
          title: Dropoffaddresscounty
          anyOf:
            - type: string
            - type: 'null'
          description: The county associated with the dropoff address.
          default: null
        dropoffAddressState:
          title: Dropoffaddressstate
          anyOf:
            - type: string
            - type: 'null'
          description: The state of the dropoff address.
          default: null
        dropoffAddressZip:
          title: Dropoffaddresszip
          anyOf:
            - type: string
            - type: 'null'
          description: The zip or postal code of the dropoff address.
          default: null
        dropoffAddressCountry:
          title: Dropoffaddresscountry
          anyOf:
            - type: string
            - type: 'null'
          description: The ISO 3166-1 alpha-2 country code of the dropoff address.
          default: null
        dropoffLat:
          title: Dropofflat
          anyOf:
            - type: number
            - type: 'null'
          description: The dropoff latitude coordinate.
          default: null
        dropoffLng:
          title: Dropofflng
          anyOf:
            - type: number
            - type: 'null'
          description: The dropoff longitude coordinate.
          default: null
        weight:
          title: Weight
          anyOf:
            - type: number
            - type: integer
            - type: string
            - type: 'null'
          description: The total weight of the package in kilograms (kg)
          default: null
        height:
          title: Height
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The total height of the package in centimeters (cm)
          default: null
        width:
          title: Width
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The total width of the package in centimeters (cm)
          default: null
        depth:
          title: Depth
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The total depth of the package in centimeters (cm)
          default: null
        items:
          title: Items
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/ItemInput'
            - type: 'null'
          description: Lists of items in the delivery
          default: null
        optimizationParameters:
          anyOf:
            - $ref: '#/components/schemas/OptimizationParameters'
            - type: 'null'
          description: Order-level optimization parameters
          default: null
        pickupPayment:
          anyOf:
            - $ref: '#/components/schemas/PickupPayment'
            - type: 'null'
          description: >-
            How the courier should pay for the order at pickup (e.g. a barcode
            or provider card).
          default: null
        reapplyAutomations:
          title: Reapplyautomations
          anyOf:
            - type: boolean
            - type: 'null'
          description: If set to true, the order will be re-evaluated with automations.
          default: null
        maxDeliveryFeeCents:
          title: Maxdeliveryfeecents
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            The maximum delivery fee for the order in cents. This will override
            the dispatch strategy max delivery fee if both are set.
          default: null
        id:
          title: Id
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the order
          default: null
    OrderIdPath:
      title: OrderIdPath
      required:
        - id
      type: object
      properties:
        id:
          title: Id
          type: string
          description: >-
            Unique reference number for the order: either order.id (starts with
            "ord_") or order.externalId
          example: ord_1234567890
    PackageRequirements:
      title: PackageRequirements
      enum:
        - photo_proof_of_delivery
        - signature_proof_of_delivery
        - photo_proof_of_pickup
        - photo_reference_on_dropoff
        - photo_reference_capture_on_dropoff
        - signature_proof_of_pickup
        - photo_pre_delivery_verification
        - age_verification_on_delivery
        - id_verification_on_delivery
        - barcode_scan_on_pickup
        - barcode_scan_on_dropoff
        - barcode_scan_on_return
        - meet_on_delivery
        - shipping_label
        - two_person_team
        - pincode_verification
        - schedule_ii_controlled_substances
        - alcohol
        - tobacco
        - vapes
        - parking_check_in
        - display_barcode_on_pickup
        - pick_and_pack
      type: string
      description: >-
        Detailed description:
        https://docs.usenash.com/reference/package-requirements.
    ItemInput:
      title: ItemInput
      type: object
      properties:
        id:
          title: Id
          anyOf:
            - type: string
            - type: 'null'
          description: The merchant ID of the item
          default: null
          example: abc-123
        description:
          title: Description
          anyOf:
            - type: string
            - type: 'null'
          description: The description of the item
          default: null
          example: A box of books
        count:
          title: Count
          type: integer
          description: The quantity of the item
          default: 1
          example: 2
        dimensions:
          anyOf:
            - $ref: '#/components/schemas/Dimensions'
            - type: 'null'
          description: The dimensions of the item
          default: null
          example:
            depth: 14
            height: 10
            width: 12
        weight:
          title: Weight
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The weight of the item in kilograms (kg)
          default: null
          example: 1.5
        valueCents:
          title: Valuecents
          anyOf:
            - type: integer
            - type: 'null'
          description: The value of the item in cents
          default: null
          example: 1000
        requirements:
          title: Requirements
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: List of requirements for this item
          default: null
          example:
            - age_verification_on_delivery
        category:
          title: Category
          anyOf:
            - type: string
            - type: 'null'
          description: The category of the item
          default: null
        barcode:
          title: Barcode
          anyOf:
            - type: string
            - type: 'null'
          description: Barcode value for this item.
          default: null
          example: 0199312650999998913643M221872801002010908
        metadata:
          title: Metadata
          anyOf:
            - type: object
              additionalProperties: true
            - type: 'null'
          description: Key-value data to attach to this item.
          default: null
          example:
            packaging_type: CTN
        subItems:
          title: Subitems
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/SubItemInput'
            - type: 'null'
          description: The nested sub-items
          default: null
      description: Item input object for API requests.
    OptimizationParameters:
      title: OptimizationParameters
      type: object
      properties:
        pickupDoorstepTimeSeconds:
          title: Pickupdoorsteptimeseconds
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            Length of time (in seconds) it take the courier at the pickup
            location's doorstep.
          default: null
          example: 90
        dropoffDoorstepTimeSeconds:
          title: Dropoffdoorsteptimeseconds
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            Length of time (in seconds) it take the courier at the dropoff
            location's doorstep.
          default: null
          example: 180
        costsByMetric:
          title: Costsbymetric
          anyOf:
            - type: object
              additionalProperties: true
            - type: 'null'
          description: The cost metric to use for the order
          default: null
          example:
            distance: 10
            weight: 200
        clusterLabel:
          title: Clusterlabel
          anyOf:
            - type: string
            - type: 'null'
          description: The cluster label for the order
          default: null
        mxLabel:
          title: Mxlabel
          anyOf:
            - type: string
            - type: 'null'
          description: The mutually exclusive label for the order
          default: null
        assignmentPriority:
          title: Assignmentpriority
          anyOf:
            - maximum: 3
              minimum: 0
              type: integer
            - type: 'null'
          description: The assignment priority for the order
          default: null
        sequencePriority:
          title: Sequencepriority
          anyOf:
            - maximum: 499
              minimum: 0
              type: integer
            - type: 'null'
          description: The sequence priority for the order
          default: null
        sequenceGroup:
          title: Sequencegroup
          anyOf:
            - type: string
            - type: 'null'
          description: The sequence group for the order
          default: null
    PickupPayment:
      title: PickupPayment
      type: object
      properties:
        barcode:
          anyOf:
            - $ref: '#/components/schemas/PickupPaymentBarcode'
            - type: 'null'
          description: >-
            Barcode the courier presents at the pickup location to pay for the
            order.
          default: null
        providerCard:
          title: Providercard
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            If true, the courier pays for the order at pickup using a
            provider-issued card.
          default: null
          example: true
    Dimensions:
      title: Dimensions
      type: object
      properties:
        height:
          title: Height
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The height of the item in centimeters (cm)
          default: null
          example: 10
        width:
          title: Width
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The width of the item in centimeters (cm)
          default: null
          example: 12
        depth:
          title: Depth
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The depth of the item in centimeters (cm)
          default: null
          example: 14
    SubItemInput:
      title: SubItemInput
      type: object
      properties:
        id:
          title: Id
          anyOf:
            - type: string
            - type: 'null'
          description: The merchant ID of the item
          default: null
          example: abc-123
        description:
          title: Description
          anyOf:
            - type: string
            - type: 'null'
          description: The description of the item
          default: null
          example: A box of books
        count:
          title: Count
          type: integer
          description: The quantity of the item
          default: 1
          example: 2
        dimensions:
          anyOf:
            - $ref: '#/components/schemas/Dimensions'
            - type: 'null'
          description: The dimensions of the item
          default: null
          example:
            depth: 14
            height: 10
            width: 12
        weight:
          title: Weight
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: The weight of the item in kilograms (kg)
          default: null
          example: 1.5
        valueCents:
          title: Valuecents
          anyOf:
            - type: integer
            - type: 'null'
          description: The value of the item in cents
          default: null
          example: 1000
        requirements:
          title: Requirements
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
          description: List of requirements for this item
          default: null
          example:
            - age_verification_on_delivery
        category:
          title: Category
          anyOf:
            - type: string
            - type: 'null'
          description: The category of the item
          default: null
        barcode:
          title: Barcode
          anyOf:
            - type: string
            - type: 'null'
          description: Barcode value for this item.
          default: null
          example: 0199312650999998913643M221872801002010908
        metadata:
          title: Metadata
          anyOf:
            - type: object
              additionalProperties: true
            - type: 'null'
          description: Key-value data to attach to this item.
          default: null
          example:
            packaging_type: CTN
        sku:
          title: Sku
          anyOf:
            - type: string
            - type: 'null'
          description: The SKU of the sub-item
          default: null
        substitution:
          anyOf:
            - $ref: '#/components/schemas/SubstitutionObject'
            - type: 'null'
          description: Substitution preferences for the sub-item
          default: null
        subItems:
          title: Subitems
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/SubItemInput'
            - type: 'null'
          description: The nested sub-items
          default: null
      description: Sub-item input object for API requests.
    PickupPaymentBarcode:
      title: PickupPaymentBarcode
      type: object
      properties:
        type:
          title: Type
          anyOf:
            - type: string
            - type: 'null'
          description: The barcode symbology (e.g. CODE128, QR).
          default: null
          example: CODE128
        value:
          title: Value
          anyOf:
            - type: string
            - type: 'null'
          description: The barcode value the courier should present at pickup.
          default: null
          example: '1234567890'
    SubstitutionObject:
      title: SubstitutionObject
      type: object
      properties:
        preference:
          title: Preference
          anyOf:
            - type: string
            - type: 'null'
          description: 'Substitution preference: refund or substitute'
          default: null
        source:
          title: Source
          anyOf:
            - type: string
            - type: 'null'
          description: Source of substitution, e.g., merchant, customer
          default: null
        substituteItems:
          title: Substituteitems
          anyOf:
            - type: array
              items:
                $ref: '#/components/schemas/SubstituteItemObject'
            - type: 'null'
          description: List of substitute items
          default: null
    SubstituteItemObject:
      title: SubstituteItemObject
      type: object
      properties:
        id:
          title: Id
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the substitute item
          default: null
        sku:
          title: Sku
          anyOf:
            - type: string
            - type: 'null'
          description: The SKU of the substitute item
          default: null
        quantity:
          title: Quantity
          anyOf:
            - type: integer
            - type: 'null'
          description: The quantity of the substitute item
          default: null

````